Altibase.jdbc.driver.spec4

## Class Altibase42PooledConnection

- java.lang.Object
- - Altibase.jdbc.driver.AltibasePooledConnection
  - - Altibase.jdbc.driver.spec4.Altibase42PooledConnection

All Implemented Interfaces:
  javax.sql.PooledConnection

    public class Altibase42PooledConnection
    extends AltibasePooledConnection

### Constructor Summary

Constructors
Constructor and Description
`Altibase42PooledConnection(java.sql.Connection aPhysicalConnection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStatementEventListener(javax.sql.StatementEventListener aListener)`
`protected java.sql.Connection` `createLogicalConnection(java.sql.Connection aPhysicalConnection, AltibasePooledConnection aParent)`
`void` `removeStatementEventListener(javax.sql.StatementEventListener aListener)`

### Methods inherited from class Altibase.jdbc.driver.AltibasePooledConnection

`addConnectionEventListener, close, getConnection, removeConnectionEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Altibase42PooledConnection

    public Altibase42PooledConnection(java.sql.Connection aPhysicalConnection)

### Method Detail

#### createLogicalConnection

    protected java.sql.Connection createLogicalConnection(java.sql.Connection aPhysicalConnection,
                                                          AltibasePooledConnection aParent)

Overrides:
  `createLogicalConnection` in class `AltibasePooledConnection`

#### addStatementEventListener

    public void addStatementEventListener(javax.sql.StatementEventListener aListener)

#### removeStatementEventListener

    public void removeStatementEventListener(javax.sql.StatementEventListener aListener)